Agda-2.5.2: A dependently typed functional programming language and proof assistant

Safe Haskell | Safe
Language | Haskell2010

Agda.Interaction.Library.Base

# Documentation

type LibName = String #

data AgdaLibFile #

Constructors

AgdaLib |
Fields libName :: LibName libFile :: FilePath libIncludes :: [FilePath] libDepends :: [LibName]

Instances

Show AgdaLibFile # |
Methods showsPrec :: Int -> AgdaLibFile -> ShowS # show :: AgdaLibFile -> String # showList :: [AgdaLibFile] -> ShowS #